Index: trunk/SophyaPI/PIext/Makefile
===================================================================
--- trunk/SophyaPI/PIext/Makefile	(revision 3058)
+++ trunk/SophyaPI/PIext/Makefile	(revision 3066)
@@ -2214,5 +2214,5 @@
   $(SOPHYAINCP)gaussfilt.h \
   nomspecrespadapter.h \
-  $(SOPHYAINCP)specresp.h
+  $(SOPHYAINCP)specresp.h piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piinit.cc
  
Index: trunk/SophyaPI/PIext/smakefile
===================================================================
--- trunk/SophyaPI/PIext/smakefile	(revision 3058)
+++ trunk/SophyaPI/PIext/smakefile	(revision 3066)
@@ -29,10 +29,8 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h basexecut.h \
-  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  basexecut.h $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)strutilxx.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -91,6 +89,5 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  nobjmgr.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -101,7 +98,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  servnobjm.h nomgadapter.h \
-  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)resusage.h servnobjm.h \
+  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -135,6 +131,5 @@
  
 $(SOPHYAOBJP)contmodex.o: contmodex.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  contmodex.h \
+  $(SOPHYAINCP)sopnamsp.h contmodex.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -153,7 +148,6 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  nobjmgr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h \
@@ -230,6 +224,5 @@
   $(SOPHYAINCP)gp_graph3d.h \
   $(SOPHYAINCP)gp_alloc.h \
-  $(SOPHYAINCP)pidrawer.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h nomgadapter.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -253,6 +246,5 @@
  
 $(SOPHYAOBJP)cxxexecutor.o: cxxexecutor.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  cxxexecutor.h \
+  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -271,12 +263,10 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  nobjmgr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)cxxcmplnk.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)cxxcmplnk.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -318,6 +308,5 @@
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -355,6 +344,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -365,6 +354,5 @@
  
 $(SOPHYAOBJP)cxxexecwin.o: cxxexecwin.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  cxxexecutor.h \
+  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -383,12 +371,9 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  cxxexecwin.h \
-  $(SOPHYAINCP)pisysdep.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  nobjmgr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h cxxexecwin.h \
+  $(SOPHYAINCP)pisysdep.h pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -446,6 +431,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -456,6 +441,5 @@
  
 $(SOPHYAOBJP)flowmodex.o: flowmodex.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  flowmodex.h \
+  $(SOPHYAINCP)sopnamsp.h flowmodex.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -474,11 +458,9 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  nobjmgr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)dvlist.h pi2dvec.h \
-  pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -536,6 +518,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -547,6 +529,5 @@
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)pidrawer.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h nomgadapter.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)generalfit.h \
@@ -586,9 +567,7 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h graphexecut.h \
-  $(SOPHYAINCP)strutilxx.h \
-  pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  graphexecut.h $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -646,6 +625,5 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  nobjmgr.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -656,6 +634,5 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)resusage.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
@@ -686,24 +663,21 @@
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)datatypes.h \
-  $(SOPHYAINCP)machdefs.h \
-  nobjmgr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  dlftypes.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h dlftypes.h \
+  servnobjm.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -746,6 +720,5 @@
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -783,6 +756,5 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -794,21 +766,17 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)tvector.h \
-  pitvmaad.h \
+  $(SOPHYAINCP)tvector.h pitvmaad.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h \
-  pipodrw.h $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)pisurfdr.h pipodrw.h \
+  $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)histos.h pintuple.h \
-  pintup3d.h \
-  $(SOPHYAINCP)pi3ddrw.h pigfd1.h \
-  $(SOPHYAINCP)generaldata.h \
-  pigfd2.h
+  pintup3d.h $(SOPHYAINCP)pi3ddrw.h pigfd1.h \
+  $(SOPHYAINCP)generaldata.h pigfd2.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nobjmgr.cc
  
 $(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
@@ -869,7 +837,6 @@
 $(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  nomgfdadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h nomgfdadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -937,7 +904,6 @@
 $(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  nomhistadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h nomhistadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -1001,7 +967,6 @@
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)segdatablock.h \
-  pihisto.h pihisto2d.h \
-  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)segdatablock.h pihisto.h \
+  pihisto2d.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
@@ -1044,7 +1009,6 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h \
-  nomimagadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h nomimagadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1100,6 +1064,5 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  pimgadapter.h \
+  $(SOPHYAINCP)fioarr.h pimgadapter.h \
   $(SOPHYAINCP)objfitter.h \
   $(SOPHYAINCP)cimage.h \
@@ -1114,7 +1077,6 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h \
-  nomskymapadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h nomskymapadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1189,6 +1151,5 @@
   $(SOPHYAINCP)fiospherehealpix.h \
   $(SOPHYAINCP)fiolocalmap.h \
-  $(SOPHYAINCP)fiosphereecp.h \
-  pitvmaad.h \
+  $(SOPHYAINCP)fiosphereecp.h pitvmaad.h \
   $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)complexios.h
@@ -1263,7 +1224,6 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)machdefs.h \
-  nomtarradapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h nomtarradapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1319,6 +1279,5 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)tvector.h \
-  pitvmaad.h \
+  $(SOPHYAINCP)tvector.h pitvmaad.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)piyfxdrw.h \
@@ -1367,7 +1326,6 @@
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  nomtmatvecadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)poly.h nomtmatvecadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -1400,8 +1358,7 @@
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)pidrawer.h \
-  pitvmaad.h $(SOPHYAINCP)fioarr.h \
-  nobjmgr.h $(SOPHYAINCP)dvlist.h \
-  dlftypes.h
+  $(SOPHYAINCP)pidrawer.h pitvmaad.h \
+  $(SOPHYAINCP)fioarr.h nobjmgr.h \
+  $(SOPHYAINCP)dvlist.h dlftypes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtmatvecadapter.cc
  
@@ -1443,19 +1400,14 @@
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)segdatablock.h \
-  pawexecut.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  piacmd.h \
+  $(SOPHYAINCP)segdatablock.h pawexecut.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  nobjmgr.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -1484,6 +1436,5 @@
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)poly.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1521,12 +1472,12 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  pihisto.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)resusage.h pihisto.h \
+  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pawexecut.cc
@@ -1563,6 +1514,5 @@
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)nbtri.h pi2dvec.h \
-  pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1620,10 +1570,8 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h \
-  piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -1640,7 +1588,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi2dvec.cc
  
-$(SOPHYAOBJP)piacmd.o: piacmd.cc \
-  $(SOPHYAINCP)sopnamsp.h piacmd.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
+  piacmd.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1658,11 +1605,10 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h \
-  dlftypes.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h \
+  $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)srandgen.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)srandgen.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1721,6 +1667,5 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  nobjmgr.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1731,6 +1676,6 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  basexecut.h graphexecut.h piafitting.h nomgadapter.h \
+  $(SOPHYAINCP)resusage.h basexecut.h \
+  graphexecut.h piafitting.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1752,6 +1697,6 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  pawexecut.h cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
+  $(SOPHYAINCP)tvector.h pawexecut.h \
+  cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
  
@@ -1803,8 +1748,6 @@
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  piafitting.h \
-  $(SOPHYAINCP)machdefs.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)hisprof.h piafitting.h \
+  $(SOPHYAINCP)machdefs.h nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1833,12 +1776,10 @@
   $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)pdlmgr.h dlftypes.h \
-  piacmd.h \
+  $(SOPHYAINCP)pdlmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h nobjmgr.h \
-  $(SOPHYAINCP)dvlist.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)dvlist.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1876,12 +1817,11 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  nomhistadapter.h \
+  $(SOPHYAINCP)resusage.h nomhistadapter.h \
   $(SOPHYAINCP)histerr.h \
   $(SOPHYAINCP)xntuple.h \
@@ -1892,7 +1832,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piafitting.cc
  
-$(SOPHYAOBJP)pigfd1.o: pigfd1.cc \
-  $(SOPHYAINCP)sopnamsp.h pigfd1.h \
-  $(SOPHYAINCP)generaldata.h \
+$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h \
+  pigfd1.h $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1944,7 +1883,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd1.cc
  
-$(SOPHYAOBJP)pigfd2.o: pigfd2.cc \
-  $(SOPHYAINCP)sopnamsp.h pigfd2.h \
-  $(SOPHYAINCP)generaldata.h \
+$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h \
+  pigfd2.h $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2033,6 +1971,5 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  pihisto2d.h \
+  $(SOPHYAINCP)sopnamsp.h pihisto2d.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -2077,6 +2014,6 @@
  
 $(SOPHYAOBJP)pihisto.o: pihisto.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  pihisto.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)sopnamsp.h pihisto.h \
+  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2128,6 +2065,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto.cc
  
-$(SOPHYAOBJP)piinit.o: piinit.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)piinit.o: piinit.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h piinit.h \
   $(SOPHYAINCP)sambainit.h \
@@ -2136,6 +2072,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)tarrinit.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2194,21 +2129,19 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  dlftypes.h piacmd.h \
-  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h dlftypes.h \
+  piacmd.h $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
@@ -2220,9 +2153,7 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  nomhistadapter.h nomgadapter.h \
-  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)resusage.h servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h nomhistadapter.h \
+  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -2254,10 +2185,8 @@
   nomgfdadapter.h nomimagadapter.h \
   $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  nomtmatvecadapter.h \
+  $(SOPHYAINCP)fioarr.h nomtmatvecadapter.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)generaldata.h \
-  nomtarradapter.h \
-  $(SOPHYAINCP)tarray.h \
+  nomtarradapter.h $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
@@ -2266,6 +2195,5 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h \
-  nomskymapadapter.h \
-  $(SOPHYAINCP)pixelmap.h \
+  nomskymapadapter.h $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -2286,11 +2214,9 @@
   $(SOPHYAINCP)gaussfilt.h \
   nomspecrespadapter.h \
-  $(SOPHYAINCP)specresp.h \
-  piaversion.h
+  $(SOPHYAINCP)specresp.h piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piinit.cc
  
 $(SOPHYAOBJP)pintup3d.o: pintup3d.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  pintup3d.h \
+  $(SOPHYAINCP)sopnamsp.h pintup3d.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2322,6 +2248,5 @@
  
 $(SOPHYAOBJP)pintuple.o: pintuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  pintuple.h \
+  $(SOPHYAINCP)sopnamsp.h pintuple.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2350,6 +2275,5 @@
  
 $(SOPHYAOBJP)pipodrw.o: pipodrw.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  pipodrw.h \
+  $(SOPHYAINCP)sopnamsp.h pipodrw.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -2416,6 +2340,5 @@
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)smathconst.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2474,20 +2397,18 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  dlftypes.h piacmd.h \
-  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h dlftypes.h \
+  piacmd.h $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
@@ -2499,6 +2420,5 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  servnobjm.h \
+  $(SOPHYAINCP)resusage.h servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pisiadw.cc
@@ -2533,6 +2453,5 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)tvector_tsnl.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2591,10 +2510,8 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h \
-  piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)dvlist.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -2606,6 +2523,5 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  servnobjm.h \
+  $(SOPHYAINCP)resusage.h servnobjm.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)psfile.h \
@@ -2615,6 +2531,5 @@
   $(SOPHYAINCP)pidrwtools.h \
   $(SOPHYAINCP)piaxestools.h \
-  $(SOPHYAINCP)piscdrawwdg.h \
-  piinit.h \
+  $(SOPHYAINCP)piscdrawwdg.h piinit.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -2622,11 +2537,9 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)piversion.h \
-  piaversion.h
+  $(SOPHYAINCP)piversion.h piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdimgapp.cc
  
 $(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  pitvmaad.h \
+  $(SOPHYAINCP)sopnamsp.h pitvmaad.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2672,9 +2585,7 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  dlftypes.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h \
-  nomgadapter.h \
+  $(SOPHYAINCP)timestamp.h dlftypes.h \
+  servnobjm.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -2717,6 +2628,5 @@
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  pistdimgapp.h \
+  $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2754,6 +2664,5 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h \
-  piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -2770,6 +2679,6 @@
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)matharr.h \
-  pitvmaad.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)matharr.h pitvmaad.h \
+  $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)fioarr.h \
@@ -2782,7 +2691,7 @@
   $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h \
-  pintuple.h pintup3d.h \
-  $(SOPHYAINCP)pi3ddrw.h pipodrw.h
+  $(SOPHYAINCP)pisurfdr.h pintuple.h \
+  pintup3d.h $(SOPHYAINCP)pi3ddrw.h \
+  pipodrw.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  servnobjm.cc
  
